Bug 117758 - Should X server have access to getattr on /var/run/xauth/foo?
Should X server have access to getattr on /var/run/xauth/foo?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-08 05:07 EST by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 22:03:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-03-08 05:07:25 EST
I am seeing

avc:  denied  { getattr } for  pid=2567 exe=/usr/X11R6/bin/XFree86
path=/var/run/xauth/A:0-NutpF4 dev=hda2 ino=1144708
scontext=system_u:system_r:xdm_xserver_t
tcontext=system_u:object_r:var_run_t tclass=file

in my logs. Should the X server be allowed to do this?
Comment 1 Daniel Walsh 2004-03-18 00:09:56 EST
Fixed in policy-1.9-1

Note You need to log in before you can comment on or make changes to this bug.